Using Data Link

You can use the Data Link program to create and manage connections between your computer and OLE DB data stores. A new data link populates a .udl file that can be referenced for future database connections. If Microsoft ActiveX Data Objects (ADO) or OLE DB is properly installed on your system, you can open the Data Link program by doing the following:

To open Data Link

  1. Open Windows Explorer.
  2. Select the folder in which you want to save your .udl file. Right-click the content pane, point to New, and then click Text Document.
  3. On the Tools menu, click Folder Options. On the View tab, clear the Hide file extensions for known file types check box, and then click OK.
  4. Right-click the text file you created in step 2, and then click Rename. Type the name you want to give your file, using the .udl file name extension (for example, mydata.udl), and then press ENTER.
  5. A warning might appear, explaining that changing file name extensions might cause files to become unusable. For .udl files, you can disregard this warning. Click Yes.
  6. Double-click the .udl file to open the Data Link Properties dialog box.

Notes

  • XOX
  • ADO and OLE DB are typically installed when you install a program that uses a database.
  • For information about using Data Link, open a .udl file. In the Data Link Properties dialog box, click Help.
  • XOX

Related Topics


Playing Internet Zone games

When you play these games on the Internet, you will be connecting to a Web site. If you cannot connect to the site, it might be because you are connecting to the Internet through a corporate or personal firewall. To learn more, visit the Network Troubleshooting Resource Center for Microsoft Games (http://support.microsoft.com/default.aspx?scid=fh;EN-US;gmsnetw).

And remember—you will need to be logged on to Windows as an administrator in order to install components or make changes to your computer system’s settings necessary to run some games.

Internet Backgammon

The object of Backgammon is to move all your pieces, or stones, around the board counterclockwise into a home area. From the home area, the pieces must be borne off, or removed, from the game board by exact dice roll. The first person to bear off all their stones wins. In Internet Backgammon, you will connect over the Internet with your opponent.

Open Internet Backgammon.

Internet Checkers

The object of Checkers is to defeat your opponent by jumping and removing his or her pieces. You can also win by blocking your opponent from moving. In Internet Checkers, you will connect over the Internet with your opponent.

Open Internet Checkers.

Internet Hearts

Hearts is a card game with four players, each playing independently. The object of Hearts is to earn as few points as possible during the course of play. When any player reaches 100 points the game ends, at which time the player with the fewest points wins. In Internet Hearts, you will connect over the Internet with your opponents.

Open Internet Hearts.

Internet Reversi

Reversi is a game played on an 8x8 board with black-and-white pieces, or stones. The object is to have more of your color of stones on the board than your opponent. Stones can be reversed from one color to another by surrounding the pieces. The game is over when neither player has any legal moves left. In Internet Reversi, you will connect over the Internet with your opponent.

Open Internet Reversi.

Internet Spades

Spades is a partnership card game with two teams of two players each. The object is for you and your partner to bid a contract, then skillfully play your cards in coordination with each other to make the contract. You win when you reach 500 points or force your opponents to drop to a negative 200 point score. In Internet Spades, you will connect with your opponents and partner over the Internet.

Open Internet Spades.

Notes

  • XOX
  • If you do not see Games on your All Programs menu, then the games were not installed when Windows was installed. XOX
  • For information about playing a game, click the Help menu in that game.

Related Topics


Using Windows Messenger

Windows Messenger is an instant messaging program that enables you to:

  • See who is online.
  • Send an instant message.
  • Call a contact's computer.
  • Send someone a file.
  • Have an instant message conversation with a group of friends.

Open Windows Messenger.

Notes

  • XOX
  • For information about using Windows Messenger, click the Help menu in Windows Messenger.


Using Windows Movie Maker

With Windows Movie Maker, you can transfer recorded video and audio from a source, such as an analog camcorder or digital video camera, to your computer. In addition to using your own recorded content, you can also import existing audio and video files to use in the movies you create. After you create a movie, you can share it with family and friends directly through Windows Movie Maker by sending your movie in an e-mail message or by posting it to a Web site.

Open Windows Movie Maker.

Notes

  • XOX
  • For more information about using Windows Movie Maker, click the Help menu in Windows Movie Maker.
  • XOX

Related Topics


Using MSN Explorer

MSN Explorer is the new all-in-one software that makes it easy to get more from the Web. With MSN Explorer, you can read your e-mail, talk to your online buddies, enjoy online music and video, and explore the Web. MSN Explorer delivers the benefits of popular Internet technologies from Microsoft such as Hotmail, Internet Explorer, Windows Messenger, and Windows Media Player, all in one simple program that works with your existing Internet connection.

Notes

  • XOX
  • For information about using MSN Explorer, click Help & Settings in MSN Explorer.


Compile Date

Microsoft Windows graphic
Compile Date: 2004-04-05


Using Message Queuing

Message Queuing (also known as MSMQ) is a messaging infrastructure and environment for running distributed, loosely coupled, messaging applications. Message Queuing applications running on source computers send messages to queues, where they are temporarily stored, and applications running on target computers retrieve messages from queues. Such applications can communicate across heterogeneous networks and with computers that may be offline temporarily. Message Queuing is administered in several MMC snap-ins.

To install Message Queuing with independent client functionality

  1. Open Add or Remove Programs.
  2. Click Add/Remove Windows Components.
  3. In the Windows Components Wizard, select the Message Queuing check box.
  4. If you want to change the default set of optional subcomponents that will be installed, click Details, and then do the following.
    • If the computer belongs to a domain and you want it to operate in workgroup mode, clear the Active Directory Integration check box.
    • If you do not want to install Message Queuing Triggers, clear the Triggers check box.
    • If you intend to send messages by HTTP transport, select the MSMQ HTTP Support check box.

Notes

  • XOX
  • The Active Directory Users and Computers snap-in is not available in XOX.
  • To open Computer Management after Message Queuing has been installed, right-click My Computer, and then click Manage.